﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using VeryPDFFormCOM;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {        
        public Form1()
        {
            InitializeComponent();
        }
        string GetModulePath(string in_name)
        {
            string strPath = System.AppDomain.CurrentDomain.BaseDirectory;
            strPath += "\\";
            strPath += in_name;
            return strPath;
        }
        void PDFFormFilling1()
        {
            VeryPDFFormCOM.pdfformcom pdfform = new VeryPDFFormCOM.pdfformcom();

	        int id;
	        int nRet = -1;
	        string szOutPDF1;
	        string szOutPDF2;
            string szPDFFile;
            szPDFFile = GetModulePath("example-fw9.pdf");
            szOutPDF1 = GetModulePath("out1.pdf");
            szOutPDF2 = GetModulePath("out2.pdf");

	        id = pdfform.com_PDFForm_Alloc();
	        nRet = pdfform.com_PDFForm_SetTextField(id, "f1-1", "1 Test for Name");
	        nRet = pdfform.com_PDFForm_SetTextField(id, "f1-2", "1 Test for Business Name");
	        nRet = pdfform.com_PDFForm_SetTextField(id, "f1-3", "1 Test for f1-3");
	        nRet = pdfform.com_PDFForm_SetTextField(id, "f1-4", "1 Test for f1-4");
	        nRet = pdfform.com_PDFForm_SetTextField(id, "f1-5", "1 Test for f1-5");
	        nRet = pdfform.com_PDFForm_SetTextField(id, "f1-6", "1 Test for f1-6");
	        nRet = pdfform.com_PDFForm_SetCheckBox(id, "c1-4", "Off");
	        nRet = pdfform.com_PDFForm_SetCheckBox(id, "c1-5", "Off");
	        nRet = pdfform.com_PDFForm_SetCheckBox(id, "c1-1", "Yes");
	        nRet = pdfform.com_PDFForm_SetCheckBox(id, "c1-2", "Yes");
	        nRet = pdfform.com_PDFForm_Apply(id, szPDFFile, szOutPDF1, 0);
	        nRet = pdfform.com_PDFForm_ClearFields(id);
	        nRet = pdfform.com_PDFForm_SetTextField(id, "f1-1", "2 Test for Name");
	        nRet = pdfform.com_PDFForm_SetTextField(id, "f1-2", "2 Test for Business Name");
	        nRet = pdfform.com_PDFForm_SetTextField(id, "f1-3", "2 Test for f1-3");
	        nRet = pdfform.com_PDFForm_SetTextField(id, "f1-4", "2 Test for f1-4");
	        nRet = pdfform.com_PDFForm_SetTextField(id, "f1-5", "2 Test for f1-5");
	        nRet = pdfform.com_PDFForm_SetTextField(id, "f1-6", "2 Test for f1-6");
	        nRet = pdfform.com_PDFForm_SetCheckBox(id, "c1-4", "Off");
	        nRet = pdfform.com_PDFForm_SetCheckBox(id, "c1-5", "Off");
	        nRet = pdfform.com_PDFForm_SetCheckBox(id, "c1-1", "Yes");
	        nRet = pdfform.com_PDFForm_SetCheckBox(id, "c1-2", "Yes");
	        nRet = pdfform.com_PDFForm_Apply(id, szPDFFile, szOutPDF2, 1);
	        nRet = pdfform.com_PDFForm_Free(id);
        }
        void PDFFormFilling2()
        {
            VeryPDFFormCOM.pdfformcom pdfform = new VeryPDFFormCOM.pdfformcom();

	        int bRet = 0;
	        string szInPDFFile;
	        string szInFDFFile;
	        string szInXFDFFile;
	        string szOutPDFFile;
	        string szOutFDFFile;
	        string szOutPDFFileByXFDF;
	        string szFlattenPDFFile;
	        string szEncryptPDFFile;

            szInPDFFile = GetModulePath("example-fw9.pdf");
            szInFDFFile = GetModulePath("example-fw9.fdf");
            szInXFDFFile = GetModulePath("example-fw9.xfdf");
            szOutPDFFile = GetModulePath("out-filled.pdf");
            szOutPDFFileByXFDF = GetModulePath("out-filled-byXFDF.pdf");
            szOutFDFFile = GetModulePath("out.fdf");
            szFlattenPDFFile = GetModulePath("out-flatten.pdf");
            szEncryptPDFFile = GetModulePath("out-encrypt.pdf");
        	
	        pdfform.com_PDFForm_SetLicenseKey("XXXXXXXXXXXXXXX");
            bRet = pdfform.com_PDFForm_MergeFDFIntoPDF(szInPDFFile, szInFDFFile, szOutPDFFile);
            bRet = pdfform.com_PDFForm_MergeXFDFIntoPDF(szInPDFFile, szInXFDFFile, szOutPDFFileByXFDF);
            bRet = pdfform.com_PDFForm_ExtractFDFFromPDF(szOutPDFFile, szOutFDFFile);
            bRet = pdfform.com_PDFForm_FlattenPDF(szOutPDFFile, szFlattenPDFFile);
            bRet = pdfform.com_PDFForm_EncryptPDF(szOutPDFFile, "123", "456", "Printing", 128, szEncryptPDFFile);
        }
        private void button1_Click(object sender, EventArgs e)
        {
            //Test for PDF Form Filling
            PDFFormFilling1();
            PDFFormFilling2();
        }
    }
}
